import { Injector, ComponentFactoryResolver } from '@angular/core';
import { MessagerService } from '@farris/ui-messager';
import { BsModalService } from '@farris/ui-modal';
import { ForecastProcessPayload } from './entity/forecast-process-payload';
import { ProcessInstance } from './flow-chart';
export declare class WFFlowchartService {
    private msgService;
    private injector;
    private resolver;
    private modalService;
    private flowchartService;
    private frameworkService;
    constructor(msgService: MessagerService, injector: Injector, resolver: ComponentFactoryResolver, modalService: BsModalService);
    /**
     * 查看流程图，支持预览
     * @param payload
     * @returns
     */
    viewProcess(payload: ForecastProcessPayload): void;
    /**
     * 根据流程实例id查看流程（tab页中打开）
     * @param procInstId 流程实例ID
     */
    viewFlowChart(procInstId: string): void;
    /**
     * 根据单据内码查看流程
     * @param dataId 单据内码
     * @returns
     */
    viewFlowChartByDataId(dataId: string): void;
    /**
     * 查看流程（弹框中打开）
     * @param procInstId 流程实例ID
     */
    viewFlowChartByDialog(procInstId: string, mode?: string): void;
    /**
     * 查看流程（弹框中打开，兼容多实例子流程）
     * @param procInstId 流程实例ID
     */
    viewMutiInstanceFlowChartByDialog(procInstList: ProcessInstance[], mode?: string): void;
    /**
     * 查看流程图。（如果作为共享的外部流程，则打开共享的查看流程）
     * @param procInstId 流程实例id
     * @param dataId 单据内码
     */
    viewFlowchartByProcInstIdAndDataId(procInstId: string, dataId: string): void;
    /**
     * 共享的任务，借用自己的查看流程菜单，iframe嵌入共享的查看流程URL
     * @param entity 任务实体，区分tab页
     * @param url 共享查看流程的URL
     */
    private openViewProcessMenu;
    /**
     * 获取i18n
     */
    private getI18nValue;
    /**
     * 判断是否inSuite环境
     */
    private isInSuite;
    /**
     * 打开菜单，区分是否inSuite环境，用不同方式打开菜单
     * @param options 打开参数
     * @param menuTitle 菜单名称
     */
    private openMenu;
}
